Skip to main content
POST
Add a tag to a glossary term

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.

Path Parameters

term_id
string
required

Body

application/json

Request to add a tag to a glossary term.

tag
string
required

Tag to add

Required string length: 1 - 100

Response

Successful Response

A single glossary term as returned to the UI.

id
string
required

Term ID (em-runtime Memory ID)

term
string
required

Term name

definition
string
required

Term definition

domain
string
required

Business domain

type
enum<string>
required

Concept or Vocabulary

Available options:
Concept,
Vocabulary
status
string
required

Verified, Unverified, or Conflicting

owner
string
required

Term owner

last_updated
string
required

Human-readable last updated date

version
string
required

Version number as string

Related term names

usage_count
integer
default:0

Usage count (placeholder)

data_sources
string[]

Fully qualified table names where this term appears

source_schema
string | null

Linked schema FQN

source_reference_file
string | null

Source reference document

conflict_reason
string | null

Conflict reason (when status=Conflicting)

is_generated
boolean
default:false

Whether AI-generated

custom_tags
string[]

Custom tags

resource_uri
string | null

Parent DB connection resource_uri